package com.xzzn.ems.domain;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 时间配置对象 ems_strategy_time_config
 *
 * @author xzzn
 * @date 2025-07-12
 */
public class EmsStrategyTimeConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 关联的策略ID */
    @Excel(name = "关联的策略ID")
    private Long strategyId;

    /** 月份，1-12 */
    @Excel(name = "月份，1-12")
    private Long month;

    /** 充放电模式，如“两充两放” */
    @Excel(name = "充放电模式，如“两充两放”")
    private String chargeDischargeMode;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 模版id */
    @Excel(name = "模版id")
    private String templateId;

    /** 是否下发 0-已下发 1-未下发 */
    @Excel(name = "是否下发 0-已下发 1-未下发")
    private int isPost;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStrategyId(Long strategyId)
    {
        this.strategyId = strategyId;
    }

    public Long getStrategyId()
    {
        return strategyId;
    }

    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }

    public void setChargeDischargeMode(String chargeDischargeMode)
    {
        this.chargeDischargeMode = chargeDischargeMode;
    }

    public String getChargeDischargeMode()
    {
        return chargeDischargeMode;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setTemplateId(String templateId)
    {
        this.templateId = templateId;
    }

    public String getTemplateId()
    {
        return templateId;
    }

    public int getIsPost() {
        return isPost;
    }

    public void setIsPost(int isPost) {
        this.isPost = isPost;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("strategyId", getStrategyId())
                .append("month", getMonth())
                .append("chargeDischargeMode", getChargeDischargeMode())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("templateId", getTemplateId())
                .append("isPost", getIsPost())
                .toString();
    }
}
